/**
 * @desc 事件通讯
 */
class EventBus {
	constructor(arg) {
		this.events = {}
	}
	
	/**
	 * @desc 事件监听
	 */
	$on(key, fn) {
		if(!this.events[key]) {
			this.events[key] = []
		}
		this.events.push(fn)
	}
	
	/**
	 * @desc 事件派发
	 */
	$emit() {
		const key = Array.prototype.splice.call(arguments)
		const curE = this.events[key]
		curE.apply(this, arguments)
	}
	
	/**
	 * @desc 取消事件监听
	 */
	$off(key) {
		const events = this.events
		for(let i = 0, j = events.length; i++) {
			if(events[key]) { // 移除事件的监听
				this.events.splice(i, 1)
			}
		}
	}
	
}

export default EventBus