import { collectGoods } from '@/apis/goods.js'

// sku弹窗
function handlePopup() {
	const skuData = this.skuData
	const detail = this.detail
	if(!skuData & skuData.length) return this.$toast({title: '该商品暂无库存'})
	const params = {
		goodsInfo: {
			cover: `${this.baseUrl}/${detail.goods_thumb}`,
			title: detail.goods_name,
			is_inquiry: detail.is_inquiry,
			unit: skuData[0].unit
		},
		skuData: skuData
	}
	this.$refs.popup.show(params)
}

// 收藏商品
async function handleCollect() {
	try{
		if(!this.detail.goods_id) return this.$toast({title: '收藏失败，goodsid不能为空'})
		const { status, msg, data } = await collectGoods(this.detail.goods_id)
		if(status) {
			this.$set(this.detail, 'is_col', data.is_col)
			this.$toast({title: msg})
		}
	}catch(e){
		console.log(e)
		this.$toast({title: '收藏失败'})
		//TODO handle the exception
	}
}

export default {
	handlePopup,
	handleCollect
}