import Validator from '@/utils/validate.js'

function validateEdit(form) {
	const validator  = new Validator()
	validator.add(form.consignee, [{strategy: 'notEmpty', errorMsg: '联系人不能为空'}])
	validator.add(form.mobile, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	validator.add(form.province, [{strategy: 'notEmpty', errorMsg: '省份不能为空'}])
	validator.add(form.city, [{strategy: 'notEmpty', errorMsg: '城市不能为空'}])
	validator.add(form.district, [{strategy: 'notEmpty', errorMsg: '地区不能为空'}])
	// validator.add(form.street, [{strategy: 'notEmpty', errorMsg: '街道不能为空'}])
	validator.add(form.address, [{strategy: 'notEmpty', errorMsg: '详细地址不能为空'}])
	return validator.validate()
}

export default {
	validateEdit
}